Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class RegionViewport

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.RegionViewport

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class RegionViewport
extends Area
implements java.lang.Cloneable

Region Viewport area. This object represents the region-viewport-area. It has a region-reference-area as its child. These areas are described in the fo:region-body description in the XSL Recommendation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`RegionViewport(java.awt.geom.Rectangle2D viewArea)` Create a new region-viewport-area

Method Summary
`java.lang.Object` | `clone()` Clone this region viewport.
`RegionReference` | `getRegionReference()` Get the region-reference-area for this region viewport.
`java.awt.geom.Rectangle2D` | `getViewArea()` Get the view area of this viewport.
`boolean` | `isClip()`
`void` | `setClip(boolean c)` Set the clipping for this region viewport.
`void` | `setRegionReference(RegionReference reg)` Set the region-reference-area for this region viewport.

Methods inherited from class org.apache.fop.area.Area
`addChildArea, addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegionViewport

    public RegionViewport(java.awt.geom.Rectangle2D viewArea)

  Create a new region-viewport-area

Parameters:
  `viewArea` - the view area of this viewport

Method Detail

### setRegionReference

    public void setRegionReference(RegionReference reg)

  Set the region-reference-area for this region viewport.

  Parameters:
    `reg` - the child region-reference-area inside this viewport

### getRegionReference

    public RegionReference getRegionReference()

  Get the region-reference-area for this region viewport.

  Returns:
    the child region-reference-area inside this viewport

### setClip

    public void setClip(boolean c)

  Set the clipping for this region viewport.

  Parameters:
    `c` - the clipping value

### isClip

    public boolean isClip()

  Returns:
    true if the viewport should be clipped.

### getViewArea

    public java.awt.geom.Rectangle2D getViewArea()

  Get the view area of this viewport.

  Returns:
    the viewport rectangle area

### clone

    public java.lang.Object clone()

  Clone this region viewport. Used when creating a copy from the page master.

  Returns:
    a new copy of this region viewport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.